Employees
Update salary
Path Parameters
employee_id*integer
Format
int64id*integer
Format
int64Request Body
application/x-www-form-urlencoded
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/public/v3/employees/0/salaries/0" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d 'effective_on=2019-08-24&amount=string¤cy_code=string&per=string&comment=string'{ "data": { "id": 0, "effective_on": "2019-08-24", "amount": "string", "currency_code": "string", "per": "string", "comment": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "overtime": true, "pay_schedule": { "id": 0, "name": "string" }, "custom_fields": { "property1": { "name": "string", "value": "string" }, "property2": { "name": "string", "value": "string" } } }}